aboutsummaryrefslogtreecommitdiffstats
path: root/dist
diff options
context:
space:
mode:
Diffstat (limited to 'dist')
-rwxr-xr-xdist/travis-ci.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/dist/travis-ci.sh b/dist/travis-ci.sh
new file mode 100755
index 000000000..87b0c4612
--- /dev/null
+++ b/dist/travis-ci.sh
@@ -0,0 +1,15 @@
+#! /bin/sh
+# This script is executed in the travis-ci environment.
+
+# Stop in case of error
+set -e
+
+# Build
+./configure
+make
+
+# Test
+export GHDL=$PWD/ghdl_mcode
+cd testsuite
+gnatmake get_entities
+./testsuite.sh